Bug 192574 - Review Request: perl-Data-Structure-Util
Review Request: perl-Data-Structure-Util
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 192575
  Show dependency treegraph
 
Reported: 2006-05-20 17:24 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-23 17:51:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-05-20 17:24:41 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Data-Structure-Util/perl-Data-Structure-Util.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Data-Structure-Util-0.11-1.src.rpm
Description:
Data::Structure::Util is a toolbox to manipulate the data inside a data
structure. It can process an entire tree and perform the operation
requested on each appropriate element.
Comment 1 Jason Tibbitts 2006-05-22 22:37:55 EDT
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* source files match upstream:
   3cbec998cd7c55b1244b3f782569b552  Data-Structure-Util-0.11.tar.gz
   3cbec998cd7c55b1244b3f782569b552  Data-Structure-Util-0.11.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   Util.so()(64bit)
   perl(Data::Structure::Util) = 0.11
   perl-Data-Structure-Util = 0.11-1.fc6
  -
   perl(:MODULE_COMPAT_5.8.8)
   perl(AutoLoader)
   perl(Data::Dumper)
   perl(Digest::MD5)
   perl(DynaLoader)
   perl(Exporter)
   perl(strict)
   perl(vars)
   perl(warnings::register)
* shared libraries are present, but internal to Perl so no need to call ldconfig.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=10, Tests=126,  0 wallclock secs ( 0.46 cusr +  0.18 csys =  0.64 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
* no ninjas

APPROVED
Comment 2 Steven Pritchard 2006-05-23 17:51:39 EDT
Imported into CVS, branches created, and builds requested.

Note You need to log in before you can comment on or make changes to this bug.